# $Id: perl-File-Temp.spec 6063 2007-12-27 11:07:31Z dag $
# Authority: dag
# Upstream: Tim Jenness <tjenness$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name File-Temp

Summary: Return name and handle of a temporary file safely
Name: perl-File-Temp
Version: 0.20
Release: 2.ru
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/File-Temp/

Source: http://www.cpan.org/modules/by-module/File/File-Temp-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Return name and handle of a temporary file safely.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

# Move the man page because it conflicts with the main perl package
%{__mkdir_p} %{buildroot}%{_docdir}-%{name}-%{version}
%{__mv} %{buildroot}%{_mandir}/man3/File::Temp.3pm %{buildroot}%{_docdir}-%{name}-%{version}

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog MANIFEST META.yml README
%doc %{_docdir}-%{name}-%{version}/File::Temp.3pm
%dir %{perl_vendorlib}/File/
%{perl_vendorlib}/File/Temp.pm
%{perl_vendorlib}/File/._Temp.pm

%changelog
* Wed Jan 14 2008 Brian Schubert <schubert@nbcs.rutgers.edu> - 0.20-2.ru
- Moved the man page due to a conflict with the main perl package

* Thu Dec 27 2007 Dag Wieers <dag@wieers.com> - 0.20-1 #6063
- Updated to release 0.20.

* Sat Nov 24 2007 Dag Wieers <dag@wieers.com> - 0.19-1
- Updated to release 0.19.

* Mon Aug 06 2007 Dag Wieers <dag@wieers.com> - 0.18-1
- Initial package. (using DAR)
